resource "nomad_job" "act_runner" {
  jobspec = file("act-runner.nomad.hcl")
}

resource "nomad_variable" "act_runner" {
  path = "nomad/jobs/act-runner"
  items = {
    registration_token = data.sops_file.secrets.data["act-runner.registration_token"]
  }
}
